Bug 434060 - postgresql-plruby failed massrebuild attempt for GCC 4.3
postgresql-plruby failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: postgresql-plruby (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Devrim GUNDUZ
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 08:00 EST by Jesse Keating
Modified: 2013-01-09 21:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-03 13:21:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 08:00:45 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=438201
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-02-25 19:17:12 EST
A whole litany of errors to be found at:

http://koji.fedoraproject.org/koji/getfile?taskID=441030&name=build.log

Among them:

plruby_geometry.c:1066: error: 'PATH' has no member named 'size'

../convcommon.h:3:22: error: postgres.h: No such file or directory
../convcommon.h:4:29: error: catalog/pg_type.h: No such file or directory
../convcommon.h:5:28: error: utils/builtins.h: No such file or directory
../convcommon.h:6:28: error: lib/stringinfo.h: No such file or directory
In file included from plruby_geometry.c:1:
../convcommon.h:95: error: expected '=', ',', ';', 'asm' or '__attribute__'
before 'plruby_datum_oid'
../convcommon.h:96: error: expected declaration specifiers or '...' before 'Datum'
../convcommon.h:97: error: expected declaration specifiers or '...' before 'Oid'
../convcommon.h:114: error: expected '=', ',', ';', 'asm' or '__attribute__'
before 'plruby_dfc0'
../convcommon.h:115: error: expected '=', ',', ';', 'asm' or '__attribute__'
before 'plruby_dfc1'
../convcommon.h:116: error: expected '=', ',', ';', 'asm' or '__attribute__'
before 'plruby_dfc2'
../convcommon.h:117: error: expected '=', ',', ';', 'asm' or '__attribute__'
before 'plruby_dfc3'
plruby_geometry.c:8:28: error: libpq/pqformat.h: No such file or directory
plruby_geometry.c:9:29: error: utils/geo_decls.h: No such file or directory
plruby_geometry.c:28: error: expected ')' before '*' token
plruby_geometry.c:29: error: expected ')' before '*' token
plruby_geometry.c:30: error: expected ')' before '*' token
plruby_geometry.c: In function 'pl_point_s_alloc':
plruby_geometry.c:52: error: 'Point' undeclared (first use in this function)
plruby_geometry.c:52: error: (Each undeclared identifier is reported only once
plruby_geometry.c:52: error: for each function it appears in.)
Comment 2 Devrim GUNDUZ 2008-03-03 13:21:21 EST
Fixed with 0.5.3 .

Note You need to log in before you can comment on or make changes to this bug.